Name:		ipclassify
Version:	1.1
Release:	9.3
Summary:	A user space ip blocking classifier
Group:		Applications/System	
License:	GPL
Url:		https://sourceforge.net/projects/ipclassify/
Source0:	%{name}-%{version}.tar.bz2
Source1:	ipclassify.sysVinit.suse
Patch0:		%{name}-install.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	libnetfilter_queue-devel libnfnetlink-devel
BuildRequires:	flex >= 2.5.35
BuildRequires:	bison
BuildRequires:	unzip

Requires:	libnfnetlink0
Requires:	libnetfilter_queue1

%description
ipclassify is a linux user space application that blocks/marks connections
from/to hosts based on lists specified in a configuration file. Currently
the block lists are in the format and obtained from iblocklist.com

%prep
%setup -q
%patch0

%build
%__make 

%install
rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=%{buildroot}
%if 0%{?suse_version}
%__install -D -m0755 %{S:1} %{buildroot}/etc/init.d/ipclassify
%else
%__install -D -m0755 ipclassify.sysVinit %{buildroot}/etc/rc.d/init.d/ipclassify
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%if 0%{?suse_version}
%stop_on_removal
%else
chkconfig ipclassify off
service ipclassify stop
%endif

%files
%defattr(-,root,root,-)
%doc ChangeLog README ipclassify.spec gpl-3.0.txt TODO
%dir /var/spool/ipclassify
%config(noreplace) /etc/ipclassify.conf
%verify(mode group) /etc/ipclassify.conf
%{_bindir}/ipclassify
%if 0%{?suse_version}
/etc/init.d/ipclassify
%else
%{_sysconfdir}/rc.d/init.d/ipclassify
%endif
%config %{_sysconfdir}/logrotate.d/ipclassify
%{_sysconfdir}/logwatch/scripts/services/ipclassify
%config %attr(0644,root,root) %{_sysconfdir}/logwatch/conf/logfiles/ipclassify.conf
%config %attr(0644,root,root) %{_sysconfdir}/logwatch/conf/services/ipclassify.conf
%{_mandir}/man8/ipclassify.8.gz
/lib/systemd/system/ipclassify.service
%{_sysconfdir}/sysconfig/ipclassify

%changelog
